Subject: bug#54242: Emacs can't display animated webp images

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Apr 2022 16:48:10 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>
> Date: Sun, 10 Apr 2022 13:12:39 +0200
> 
> I've tried to get the Windows DLL stuff right for the Windows, but I
> don't have a Windows VM to test with at the moment.  Eli, can you check
> whether the trunk compiles, and if not, do the necessary adjustments if
> I've forgotten some of the DEF_DLL_FN things for the new functions?

It needed a few fixes, since a second DLL is involved, and some of the
functions were defined inline in the headers to call internal variants.

Now it builds and works on MS-Windows , but can you point me to the
animated images you used to test, so I could see that it works
correctly on Windows?